/* CSS for installation pages */

/* General formatting of paragraph styles 	========================================================= */

BODY, TD {
  font-family: Verdana,Arial,Helvetica,sans-serif;
}

BODY {
  max-width: 800px;
  margin: 33px auto;
  padding: 0 20px;
  border-left: 2px solid silver;
  border-right: 2px solid silver;
}

H1 {
  background-color: chartreuse;
  padding: 0.5em;
}

H2 {
  border-bottom: 2px solid black;
 }

P {
  line-height: 1.4em;
  color: darkSlateGrey;
}

PRE { 
  font-size: 1.1em; 
  padding-left: 1em;
  color: green; 
  line-height: 1.1em; 
}

PRE.scrollX {
  overflow-x: scroll;		/* these settings interact in an arcane manner !!! */
  overflow-y: hidden;
}

TT {
  color: green; 
  font-size: 1.1em; 
  font-weight: bold;
}
  
UL {
  line-height: 1.4em;
  font-size: 0.9em;
}

LI { padding-bottom: 0.5em; }

A { overflow-wrap: break-word; }		/* tried "word-break: break-all" in expts for word2html */

SPAN.break { overflow-wrap: break-word; }



/* Tables	========================================================================================= */

TABLE				{ border-collapse: separate; }
TD 				{ line-height: 1.4em; 			padding: 0.15em 0.4em; } 
TR:nth-child(odd)		{ background-color: lavender }
TR:nth-child(even)		{ background-color: aliceblue }
TH				{ background-color: LightSkyBlue; 	padding: 0.2em 0.4em; }

TD:first-child     { white-space: nowrap; }							/* for all tables */

TABLE		TR:first-child	{ background-color: orange; }
TABLE.noHeader	TR:first-child	{ background-color: lavender; }



/* Background shading for SPAN etc		========================================================== */

.highlighter	{  background-color: yellow;	color: black;	padding-left: 0.3em;	padding-right: 0.3em;	}
.tomato 	{  background-color: tomato; 	color: black; 	padding-left: 0.3em; 	padding-right: 0.3em;	}

.client1_web1   {  background-color: chartreuse;	}
.client7_web11  {  background-color: crimson;		}
.client3_web15  {  background-color: gold;		}
.client3_web29  {  background-color: gold;		}
.client5_web25  {  background-color: skyblue;		}
.client6_web21  {  background-color: mistyrose;		}
.client6_web22  {  background-color: mistyrose;		}

.tick 		{  background-color: chartreuse; 	color: black;	font-weight: bold;	padding: 0 0.3em; 	}
.cross 		{  background-color: red; 		color: white;	font-weight: bold;	padding: 0 0.3em; 	}
.query 		{  background-color: gold; 		color: black;	font-weight: bold;	padding: 0 0.3em; 	}

/* SPAN.tick	{ color: green; font-weight: bold; } */
/* SPAN.cross	{ color: red;   font-weight: bold; } */


/* Other Specific element embellishments	========================================================== */

DIV.php_results {				/* used sometimes for reporting PHP output */
  color: green;
  font-weight: bold;
  line-height: initial;
  background-color: HoneyDew;
}

P.needlessDetail {				/* pink box with additional technical info in small print */
  font-size: smaller;
  background-color: mistyrose;
  margin: 0 1em;	/* was 3 */
  padding: 0.3em 1em;
}

DIV.shadedbox {					/* pink box with additional info */
  background-color: mistyrose;
  margin: 0 1em;	/* was 0px 55px */
  padding: 0.3em 1em;	/* was 0 11px */
  border: 1px solid red; 
}

B.footer_date { white-space: nowrap; }





/* END =================================================================================================== */
